# Uses of Interface
org.eclipse.birt.chart.device.IDeviceRenderer

Packages that use IDeviceRenderer
Package
Description
org.eclipse.birt.chart.api
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of IDeviceRenderer in org.eclipse.birt.chart.api

Methods in org.eclipse.birt.chart.api that return IDeviceRenderer
Modifier and Type
Method
Description
`IDeviceRenderer`
ChartEngine.`getRenderer(String deviceID)`
Loads a device renderer, required by IChartGenerator to render charts

## Uses of IDeviceRenderer in org.eclipse.birt.chart.device

Classes in org.eclipse.birt.chart.device that implement IDeviceRenderer
Modifier and Type
Class
Description
`class`
`DeviceAdapter`
A no-op adapter implementation for the `IDeviceRenderer`interface definition.
Methods in org.eclipse.birt.chart.device with parameters of type IDeviceRenderer
Modifier and Type
Method
Description
`void`
ITextRenderer.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`
`void`
TextRendererAdapter.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`

## Uses of IDeviceRenderer in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type IDeviceRenderer
Modifier and Type
Method
Description
`void`
ArcRenderEvent.`draw(IDeviceRenderer idr)`
`void`
AreaRenderEvent.`draw(IDeviceRenderer idr)`
`void`
ImageRenderEvent.`draw(IDeviceRenderer idr)`
`final void`
LineRenderEvent.`draw(IDeviceRenderer idr)`
`final void`
OvalRenderEvent.`draw(IDeviceRenderer idr)`
`final void`
PolygonRenderEvent.`draw(IDeviceRenderer idr)`
`void`
PrimitiveRenderEvent.`draw(IDeviceRenderer idr)`
Causes this instruction to 'draw' itself on the device renderer
`void`
RectangleRenderEvent.`draw(IDeviceRenderer idr)`
`final void`
TextRenderEvent.`draw(IDeviceRenderer idr)`
`void`
ArcRenderEvent.`fill(IDeviceRenderer idr)`
`void`
AreaRenderEvent.`fill(IDeviceRenderer idr)`
`void`
ImageRenderEvent.`fill(IDeviceRenderer idr)`
`void`
LineRenderEvent.`fill(IDeviceRenderer idr)`
`final void`
OvalRenderEvent.`fill(IDeviceRenderer idr)`
`final void`
PolygonRenderEvent.`fill(IDeviceRenderer idr)`
`void`
PrimitiveRenderEvent.`fill(IDeviceRenderer idr)`
Causes this instruction to 'fill' itself on the device renderer
`void`
RectangleRenderEvent.`fill(IDeviceRenderer idr)`
`void`
TextRenderEvent.`fill(IDeviceRenderer idr)`

## Uses of IDeviceRenderer in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory with parameters of type IDeviceRenderer
Modifier and Type
Method
Description
`void`
Generator.`render(IDeviceRenderer idr, GeneratedChartState gcs)`
Draws a previously built chart using the specified device renderer into a target output device.
`void`
IGenerator.`render(IDeviceRenderer idr, GeneratedChartState gcs)`
Draws a previously built chart using the specified device renderer into a target output device.

## Uses of IDeviceRenderer in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return IDeviceRenderer
Modifier and Type
Method
Description
`final IDeviceRenderer`
BaseRenderer.`getDevice()`
Methods in org.eclipse.birt.chart.render with parameters of type IDeviceRenderer
Modifier and Type
Method
Description
`final void`
BaseRenderer.`set(IDeviceRenderer _ir)`
Sets the device renderer for current renderer.
Constructors in org.eclipse.birt.chart.render with parameters of type IDeviceRenderer
Modifier
Constructor
Description
``
`DeferredCache(IDeviceRenderer idr, Chart c, int cacheIndex)`
The constructor.
``
`DeferredCacheManager(IDeviceRenderer idr, Chart chart)`
Constructor of the class.
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.